Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Interface ISequenceGenerator

All Superinterfaces:
  IOIDGenerator

All Known Implementing Classes:
  ReferenceSequenceGenerator

    public interface ISequenceGenerator

extends IOIDGenerator

An interface for returning sequences derived from named counters. The following methods are devoted to creating and using these counters, which can be used as oids.

`createCounter(String name)` `getNextInt()` `getNextInt(String name)` `setCounter(String name)`

ISequenceGenerator inherits the following more general methods from IOIDGenerator, which return Strings:

`getNext()` `getNext(String name)`

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck

Method Summary
`void` | `createCounter(java.lang.String name)`
`int` | `getNextInt()`
`int` | `getNextInt(java.lang.String name)`
`void` | `setCounter(java.lang.String name, int newValue)`

Methods inherited from interface org.jasig.portal.IOIDGenerator
`getNext, getNext`

Method Detail

### createCounter

    void createCounter(java.lang.String name)
                       throws java.lang.Exception

  Parameters:
    `name` - java.lang.String
  Throws:
    `java.lang.Exception`

### getNextInt

    int getNextInt()
                   throws java.lang.Exception

  Returns:
    int
  Throws:
    `java.lang.Exception` - The exception description.

### getNextInt

    int getNextInt(java.lang.String name)
                   throws java.lang.Exception

  Parameters:
    `name` - java.lang.String
  Returns:
    int
  Throws:
    `java.lang.Exception` - The exception description.

### setCounter

    void setCounter(java.lang.String name,
                    int newValue)
                    throws java.lang.Exception

  Parameters:
    `name` - java.lang.String
    `newValue` - int
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD